Package ghidra.framework.main.projectdata.actions

# Class ProjectDataExpandAction<T extends ProjectTreeContext>

java.lang.Object
docking.action.DockingAction
docking.action.ContextSpecificAction<T>
ghidra.framework.main.projectdata.actions.ProjectDataExpandAction<T>

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

Direct Known Subclasses:
  `DialogProjectDataExpandAction`, `FrontEndProjectDataExpandAction`

public class ProjectDataExpandAction<T extends ProjectTreeContext> extends ContextSpecificAction<T>

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectDataExpandAction(String owner, String group, Class<T> contextClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `actionPerformed(T context)`
  The actionPerformed method with a more specific ActionContext.
  `boolean`
  `isAddToPopup(T context)`
  `protected boolean`
  `isEnabledForContext(T context)`

  ### Methods inherited from class docking.action.ContextSpecificAction

  `actionPerformed, isAddToPopup, isEnabledForContext, isValidContext, isValidContext`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isEnabled, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### ProjectDataExpandAction

    public ProjectDataExpandAction(String owner, String group, Class<T> contextClass)

- ## Method Details

  - ### actionPerformed

    protected void actionPerformed(T context)
    Description copied from class: `ContextSpecificAction`
    The actionPerformed method with a more specific ActionContext. See `DockingAction.actionPerformed(ActionContext)`
    Specified by:
      `actionPerformed` in class `ContextSpecificAction<T extends ProjectTreeContext>`
    Parameters:
      `context` - the more specific `ActionContext`

  - ### isAddToPopup

    public boolean isAddToPopup(T context)
    Overrides:
      `isAddToPopup` in class `ContextSpecificAction<T extends ProjectTreeContext>`

  - ### isEnabledForContext

    protected boolean isEnabledForContext(T context)
    Overrides:
      `isEnabledForContext` in class `ContextSpecificAction<T extends ProjectTreeContext>`